> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/carrier/get-carriers.md).

# Get Carriers

Fetch list of all carriers available on TShip API.

## /carriers

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/carriers`

This endpoint allows you to get a list of carriers available on TShip.

#### Query Parameters

| Name    | Type    | Description                                                                                                                                                                                       |
| ------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| active  | Boolean | If ***true***, only active carriers on the shipmonk platform will be returned. If set to ***false***, only inactive carriers will be returned. If blank, all available carriers will be returned. |
| type    | String  | Specify the type of carrier. Available options are ***domestic, regional*** or ***international***.                                                                                               |
| perPage | Number  | Specify how many records will be included in a single response. Defaults to 100.                                                                                                                  |
| page    | Number  | Specify what page of records will be sent in response. Defaults to 1.                                                                                                                             |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Set value to `Bearer SECRET_KEY` |
| Content-Type                                    | String | Set value to `application/json`  |

{% tabs %}
{% tab title="200 Carriers retrieved successfully." %}

```
{
    "status": true,
    "message": "Carriers retrieved successfully",
    "data": {
        "carriers": [
            {
                "active": true,
                "available_countries": [
                    "GH",
                    "KE",
                    "NG",
                    "SA",
                    "UG",
                    "GB",
                    "US"
                ],
                "contact": {
                    "email": "nginquiry@dhl.com",
                    "phone": "012700908"
                },
                "domestic": true,
                "international": true,
                "logo": "https://ucarecdn.com/dcdd8109-af8c-4057-8104-192be821dd6e/download4.png",
                "name": "DHL Express",
                "regional": true,
                "requires_invoice": true,
                "requires_waybill": true,
                "slug": "dhl-ng",
                "carrier_id": "CA-81957188177",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.930Z",
                "updated_at": "2022-06-04T01:37:40.930Z"
            },
            {
                "active": false,
                "available_countries": [
                    "NG"
                ],
                "contact": {
                    "email": "info@darum.com.ng",
                    "phone": "+2349131288529"
                },
                "domestic": true,
                "international": false,
                "logo": "https://ucarecdn.com/c9e79717-96c4-44e3-92b1-aff58f23475f/download.png",
                "name": "Darum",
                "regional": false,
                "requires_invoice": false,
                "requires_waybill": false,
                "slug": "darum",
                "carrier_id": "CA-58583827047",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.930Z",
                "updated_at": "2022-06-04T01:37:40.930Z"
            },
            {
                "active": false,
                "available_countries": [
                    "NG"
                ],
                "contact": {
                    "email": "hello@errand360.ng",
                    "phone": "+234012299989"
                },
                "domestic": true,
                "international": false,
                "logo": "https://ucarecdn.com/cea51824-153b-4738-a6d4-9e7b5a8375d5/Errand360logocoloured.png",
                "name": "Errand360",
                "regional": false,
                "requires_invoice": false,
                "requires_waybill": false,
                "slug": "errand360",
                "carrier_id": "CA-20216731467",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.930Z",
                "updated_at": "2022-06-04T01:37:40.930Z"
            },
            {
                "active": true,
                "available_countries": [
                    "NG"
                ],
                "contact": {
                    "email": "e-tailing@redstarplc.com",
                    "phone": "017215670"
                },
                "domestic": true,
                "international": false,
                "logo": "https://ucarecdn.com/375a5012-2691-40c2-b147-149f0e134d8d/purepngcomfedexlogologobrandlogoiconslogos251519939539h7rji.png",
                "name": "Fedex (Red Star Express)",
                "regional": true,
                "requires_invoice": true,
                "requires_waybill": true,
                "slug": "fedex",
                "carrier_id": "CA-31377601348",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.930Z",
                "updated_at": "2022-06-04T01:37:40.930Z"
            },
            {
                "active": true,
                "available_countries": [
                    "NG"
                ],
                "contact": {
                    "email": "info@giglogistics.com",
                    "phone": "+2348139851120"
                },
                "domestic": true,
                "international": false,
                "logo": "https://ucarecdn.com/3045d9f6-5417-465b-a8cf-3ebbaf540bcf/download.png",
                "name": "GIG Logistics",
                "regional": true,
                "requires_invoice": false,
                "requires_waybill": false,
                "slug": "gigl",
                "carrier_id": "CA-71017347351",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.930Z",
                "updated_at": "2022-06-04T01:37:40.930Z"
            },
            {
                "active": false,
                "available_countries": [
                    "NG"
                ],
                "contact": {
                    "email": "support@gokada.ng",
                    "phone": "+2347067343882"
                },
                "domestic": true,
                "international": false,
                "logo": "https://ucarecdn.com/e7b4b7da-2ba2-4cb0-82bd-cc1c3c61b48a/60352f431157c33dde33a6e3_Gokada_logo.png",
                "name": "Gokada",
                "regional": false,
                "requires_invoice": false,
                "requires_waybill": false,
                "slug": "gokada",
                "carrier_id": "CA-07032569055",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.930Z",
                "updated_at": "2022-06-04T01:37:40.930Z"
            },
            {
                "active": true,
                "available_countries": [
                    "NG"
                ],
                "contact": {
                    "email": "support@kwik.delivery",
                    "phone": "013438198"
                },
                "domestic": true,
                "international": false,
                "logo": "https://ucarecdn.com/d399a2ad-c831-46de-a8fe-94f8056a3c29/60dc787ac0166774ecb59f04_gy2h4u35onr2nrmuapjt.png",
                "name": "Kwik Delivery",
                "regional": false,
                "requires_invoice": false,
                "requires_waybill": false,
                "slug": "kwik",
                "carrier_id": "CA-18228854618",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.931Z",
                "updated_at": "2022-06-04T01:37:40.931Z"
            },
            {
                "active": true,
                "available_countries": [
                    "GH",
                    "NG"
                ],
                "contact": {
                    "email": "support@sendbox.ng",
                    "phone": "017006150"
                },
                "domestic": true,
                "international": true,
                "logo": "https://ucarecdn.com/3273a236-bd33-4c37-9f87-2bcf4e59275f/6035307b31150075cabc780d_EeNJnpVz_400x400.jpg",
                "name": "Sendbox",
                "regional": true,
                "requires_invoice": false,
                "requires_waybill": false,
                "slug": "sendbox",
                "carrier_id": "CA-85479996273",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.931Z",
                "updated_at": "2022-06-04T01:37:40.931Z"
            },
            {
                "active": true,
                "available_countries": [
                    "NG"
                ],
                "contact": {
                    "email": "",
                    "phone": ""
                },
                "domestic": true,
                "international": false,
                "logo": "https://ucarecdn.com/f2904861-edb2-4ec7-b3c0-a01a9a3029f4/1649168596524.jpeg",
                "name": "Sendstack",
                "regional": false,
                "requires_invoice": false,
                "requires_waybill": false,
                "slug": "sendstack",
                "carrier_id": "CA-86012707216",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.931Z",
                "updated_at": "2022-06-04T01:37:40.931Z"
            },
            {
                "active": true,
                "available_countries": [
                    "NG"
                ],
                "contact": {
                    "email": "hello@topship.africa",
                    "phone": "+2349080777728"
                },
                "domestic": true,
                "international": true,
                "logo": "https://ucarecdn.com/7fa80800-1325-4f3f-8782-ed2fe45f4ab3/1643276093908.jpeg",
                "name": "Topship",
                "regional": true,
                "requires_invoice": false,
                "requires_waybill": false,
                "slug": "topship",
                "carrier_id": "CA-49411197653",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.931Z",
                "updated_at": "2022-06-04T01:37:40.931Z"
            },
            {
                "active": true,
                "available_countries": [
                    "NG"
                ],
                "contact": {
                    "email": "support@terminal.africa",
                    "phone": "+2349161154291"
                },
                "domestic": true,
                "international": false,
                "logo": "https://ucarecdn.com/b948ff34-7caa-4c2c-b10a-fb966ed83263/tQxVwcJSowYD7xwWDYidd9.jpeg",
                "name": "Uber",
                "regional": false,
                "requires_invoice": false,
                "requires_waybill": false,
                "slug": "uber",
                "carrier_id": "CA-01091597938",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.932Z",
                "updated_at": "2022-06-04T01:37:40.932Z"
            },
            {
                "active": false,
                "available_countries": [
                    "NG"
                ],
                "contact": {
                    "email": "",
                    "phone": ""
                },
                "domestic": true,
                "international": true,
                "logo": "https://ucarecdn.com/c2d4dcb2-1483-47a5-ab14-447a990f5827/60dc7947195c0078fabff349_1200pxUnited_Parcel_Service_logo_2014svg.png",
                "name": "United Parcel Services",
                "regional": true,
                "requires_invoice": true,
                "requires_waybill": true,
                "slug": "ups",
                "carrier_id": "CA-19429970231",
                "__v": 0,
                "created_at": "2022-06-04T01:37:40.932Z",
                "updated_at": "2022-06-04T01:37:40.932Z"
            }
        ],
        "pagination": {
            "page": 1,
            "perPage": 100,
            "prevPage": null,
            "nextPage": null,
            "currentPage": 1,
            "total": 12,
            "pageCount": 1,
            "pagingCounter": 1,
            "hasPrevPage": false,
            "hasNextPage": false
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.terminal.africa/tship/carrier/get-carriers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
